#include <Arduino.h>
#include <protothreads.h>

#include <bt.h>
#include <ping.h>
#include <servo.h>
#include <web.h>

void setup() {
  Serial.begin(115200);
  servo_init();
  // bt_init();
  // web_init();
  ping_init();
}

void loop() {
  servo_loop();
  // bt_loop();
  // web_loop();
  ping_loop();
  String co = Serial.readString();
  if (co.length() != 0) {
    int pin = co[0] - '0';
    int m = co[1] - '0';
    Serial.println(co);
    switch (m) {
      case 1:
        servo_deg(pin, getpos(pin) + 15);
        break;
      case 2:
        servo_deg(pin, getpos(pin) - 15);
        break;
      case 3:
        servo_deg(0, 180);
        delay(500);
        servo_deg(1, 180);
        delay(500);
        servo_deg(2, 180);
        delay(500);
        servo_deg(3, 180);
        delay(500);
        break;
      default:
        servo_deg(pin, 90);
        break;
    }
  }
  delay(100);
}