#include <Arduino.h>
#include <ESP32Servo.h>
#include <servo.h>

Servo servo[8];
ESP32PWM pwm;

int servoPin[8] = {13, 12, 14, 27, 26, 25, 33, 32};
int pos[8] = {0};

int minUs = 550;
int maxUs = 2450;

void servo_init() {
  ESP32PWM::allocateTimer(0);
  ESP32PWM::allocateTimer(1);
  ESP32PWM::allocateTimer(2);
  ESP32PWM::allocateTimer(3);
  for (int i = 0; i < 8; i++) {
    servo[i].setPeriodHertz(50);
  }
  for (int i = 0; i < 8; i++) {
    servo[i].attach(servoPin[i], minUs, maxUs);
  }
  // servo[4].attach(servoPin[4], minUs, maxUs);
  // servo[6].attach(servoPin[6], minUs, maxUs);
  pwm.attachPin(15, 10000);
  servo_deg(8, 90);
}

void servo_loop() {
  // servo_deg(7, 90);
  // servo_deg(6, 90);
  // servo_deg(8, 45);
  // delay(5000);
  // servo_deg(8, 135);
  // servo_deg(6, 180);
  // delay(5000);
  // for (int i = 0; i < 8; i++) {
  //   servo[i].attach(servoPin[i], minUs, maxUs);
  // }
  // pwm.attachPin(27, 10000);

  // for (int j = 0; j < 8; j++) {
  //   for (pos = 0; pos <= 180; pos += 1) {
  //     servo[j].write(pos);
  //     Serial.println(pos);
  //     delay(5);
  //   }
  //   for (pos = 0; pos <= 180; pos += 1) {
  //     servo[j].write(180 - pos);
  //     Serial.println(180 - pos);
  //     delay(5);
  //   }
  // }

  // for (int i = 0; i < 8; i++) {
  //   servo[i].detach();
  // }
  // pwm.detachPin(27);
}

void servo_deg(int servoid, int deg) {
  if (deg < 0) {
    deg = 0;
  }
  if (deg > 180) {
    deg = 180;
  }
  if (servoid >= 8) {
    for (int i = 0; i < 8; i++) {
      servo[i].write(deg);
      pos[i] = deg;
      delay(1000);
    }
  } else {
    servo[servoid].write(deg);
    pos[servoid] = deg;
  }
}

void move() {
  // for (int j = 0; j < 4; j++) {
  servo_deg(4, pos[4] + 45);
  delay(300);
  servo_deg(6, pos[6] - 45);
  delay(300);
  // servo_deg(0, pos[0] - 45);
  // delay(300);
  // servo_deg(2, pos[2] + 45);
  // delay(300);
  // servo_deg(1, pos[1] + 45);
  // delay(300);
  // servo_deg(3, pos[3] - 45);
  // delay(300);
  // servo_deg(1, pos[1] - 45);
  // delay(300);
  // servo_deg(3, pos[3] + 45);
  // delay(300);
  delay(500);
  // }
}

int getpos(int pin){
  return pos[pin];
}